Main Page Namespace List Class Hierarchy Compound List Compound Members

# ZThread::TimerListener Class Reference

`#include <Timer.h>`

List of all members.

## Public Methods
virtual | ~TimerListener () throw ()
virtual void | notify (const Timer *, const TimerEvent &)=0

## Detailed Description

Author:
  Eric Crahen

Version:
  1.1.2

Date:
  12-28-2001

An object interested in a Timer can implement this interface and then register itself with a Timer to begin receiving TimerEvents as various lengths of time expire

## Constructor & Destructor Documentation

~TimerListener ( | ) throw ()`[inline, virtual]`

| Destroy the TimerListener

## Member Function Documentation

void notify ( | const Timer *,
| const TimerEvent & )`[pure virtual]`

  | Called from the Timer thread when an event expires Parameters:
  const | Timer* - timer that waited for the event
  const | TimerEvent& - timer event that expired

The documentation for this class was generated from the following file:

- Timer.h